@{
    ViewData["Title"] = "Jadwal Kegiatan Belajar Mengajar";
}
<style>
    span.select2 {
    z-index:10050;
}
</style>
<section class="section">
    <div class="section-header">
        <h1>Jadwal Kegiatan Belajar Mengajar</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Jadwal Kegiatan Belajar Mengajar</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data" style="display:none">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                <div style="margin-top: -1px;">Ups! <span id="htmlEmptyData">Sepertinya tidak ada data, silahkan tambah baru</span></div>
        </div>
    </div>
    <div class="section-body" id="data">
        <div class="collapse" id="collapseKelasParalel">
            <div class="card card-body">
                <form class="form-inline" id="FormFilter">
                    <label class="sr-only">Unit</label>
                    <select class="form-control mb-2 mr-sm-2" id="IdUnit" name="IdUnit">
                        <option value="">- Pilih Unit -</option>
                    </select>
                    <select class="form-control mb-2 mr-sm-2" id="IdKelas" name="IdKelas">
                        <option value="">- Pilih Kelas -</option>
                    </select>
                    <label class="sr-only">Berdasarkan</label>
                    <select class="form-control mb-2 mr-sm-2" id="IdKelompok" name="IdKelompok">
                        <option value="">- Pilih Kategori -</option>
                        <option value="1">1 (Satu)</option>
                        <option value="2">2 (Dua)</option>
                        <option value="3">3 (Tiga)</option>
                        <option value="4">4 (Empat)</option>
                        <option value="5">5 (Lima)</option>
                    </select>

                    <label class="sr-only" for="inlineFormInputGroupUsername2"></label>
                    <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                        <a href="#" class="btn btn-success btn-block tester" onclick="DownloadJadwalKbm();" type="button"><i class="fa fa-download"></i>&nbsp; Download</a>
                    </div>
                    <label class="sr-only" for="inlineFormInputGroupUsername2"></label>
                    <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                        <button type="button" class="btn btn-info btn-block tester" onclick="ModalUpload();"><i class="fa fa-upload"></i>&nbsp; Upload</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="form-row">
            <div class="col-md-5">
                <div class="card" id="">
                    <div class="card-header form-row">
                        <h4 class="col-4" id="htmlTabelKelas">
                            Kelas
                        </h4>
                        <div class="col-8 text-right">
                            <button type="button" class="btn btn-primary btn-flat" data-toggle="collapse" data-target="#collapseKelasParalel" aria-expanded="false" aria-controls="collapseExample"><i class="fa fa-filter"></i> Filter</button> &nbsp;
                            <button type="button" class="btn btn-success btn-flat" id="btnKelas" onclick="SetJadwalKelasParalel();" style="display:none"><i class="fa fa-save"></i> Simpan</button> &nbsp;
                        </div>
                    </div>
                    <div class="card-body" id="card-kelas" style="display:none">
                        <div class="table-responsive">
                            <table id="TabelKelas" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th><input type="checkbox" name="CheckAllIdKelas" /></th>
                                        <th>KELAS</th>
                                        <th>AKSI</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th><input type="checkbox" name="CheckAllIdKelas" /></th>
                                        <th>KELAS</th>
                                        <th>AKSI</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <div class="card-body" id="card-kelas-empty">
                        <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                    </div>
                </div>
            </div>
            <div class="col-md-7">
                <div class="card">
                    <div class="card-header">
                        <h4 class="col-6">
                            Jadwal Kegiatan Belajar Mengajar
                        </h4>
                    </div>
                    <div class="card-body" id="card-jadwal" style="display:none">
                        <div class="alert alert-primary" id="alertInfoJadwal" style="display:none;">
                            <span id="htmlInfoJadwal"></span>
                        </div>
                        <div class="table-responsive">
                            <table id="TabelJadwal" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>KELAS</th>
                                        <th>MATAPELAJARAN</th>
                                        <th>NAMA GURU</th>
                                        <th>HARI</th>
                                        <th>JAM MULAI</th>
                                        <th>JAM SELESAI</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>KELAS</th>
                                        <th>MATAPELAJARAN</th>
                                        <th>NAMA GURU</th>
                                        <th>HARI</th>
                                        <th>JAM MULAI</th>
                                        <th>JAM SELESAI</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>

                    <div class="card-body" id="card-jadwal-empty">
                        <center>
                        <img src="~/assets/img/list.png" width="400px" class="img-fluid" />
                        </center>
                    </div>
                </div>
                
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <form id="FormFilterSettingJadwal" class="form-inline">
                            <div class="form-group mr-2">
                                <select name="IdUnit" class="form-control">
                                </select>
                            </div>
                            <div class="form-group mr-2">
                                <input type="text" name="Tanggal" class="form-control" data-toggle="datepicker" placeholder="- Pilih Tanggal -" readonly />
                            </div>
                            <div class="form-group mr-2">
                                <button type="button" name="BtnSubmit" class="btn btn-success" onclick="StartFilterSettingJadwal();"><i class="fa fa-search"></i> Cari</button>
                            </div>
                        </form>
                        <div class="alert alert-primary mt-2 mb-2" id="alertSettingJadwal" style="display:none;">
                            <span id="htmlSettingJadwal"></span>
                        </div>
                        <div class="table-responsive">
                            <table id="TabelSettingJadwal" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Kelas Paralel</th>
                                        <th>Kelompok</th>
                                        <th>Atur Jadwal</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Kelas Paralel</th>
                                        <th>Kelompok</th>
                                        <th>Atur Jadwal</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>

    </div>
</section>

<div class="modal fade" id="ModalUploadJadwal" role="dialog" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Jadwal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormJadwalUpload" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Masukan File</label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" name="FileUpload" id="FileUpload" />
                            <small class="text-danger">*ekstensi file wajib .xlsx</small>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UploadJadwalKbm();">Upload Sekarang</button>
            </div>
        </div>
    </div>
</div>
